Interface
Options for the request() method.
Properties
| Property | Type | Notes |
|---|---|---|
authenticationinherited | string | IAuthenticationManager | The instance of |
clientId | string | The client id fo the application that generated the tokens. Applications can only revoke tokens they created. |
credentialsinherited | RequestCredentials | A string indicating whether credentials (cookies) will be sent with the request. Used internally for authentication workflows. |
headersinherited | {} | Additional Headers to pass into the request. |
hideTokeninherited | boolean | Prevents the token from being passed in a URL Query param that is saved in browser history. Instead, the token will be passed in POST request body or through X-Esri-Authorization header. NOTE: This will force POST requests in browsers since auth header is not yet supported by preflight OPTIONS check with CORS. |
httpMethodinherited | HTTPMethods | The HTTP method to send the request with. |
maxUrlLengthinherited | number | If the length of a GET request's URL exceeds |
paramsinherited | IParams | Additional parameters to pass in the request. |
portal | string | The portal of the tokens to revoke. Defaults to |
rawResponseinherited | boolean | Return the raw response |
requestinherited | (url: string, requestOptions: InternalRequestOptions) => Promise<any> | Override the default function for making the request. This is mainly useful for testing purposes (i.e. so you can pass in a spy). |
signalinherited | AbortSignal | An AbortSignal object instance; allows you to abort a request and via an AbortController. |
suppressWarningsinherited | boolean | Suppress any ArcGIS REST JS related warnings for this request. |
token | string | The token or refresh token to revoke. If a refresh token is passed all access tokens generated with that refresh token are also revoked. |
authentication
authentication: string | IAuthenticationManagerThe instance of @esri/arcgis-rest-request!ArcGISIdentityManager , @esri/arcgis-rest-request!ApplicationCredentialsManager or @esri/arcgis-rest-request!ApiKeyManager to use to authenticate this request. A token may also be passed directly as a string however using the built in authentication managers is encouraged.
clientId
Interface PropertyclientId: stringThe client id fo the application that generated the tokens. Applications can only revoke tokens they created.
credentials
credentials: RequestCredentialsA string indicating whether credentials (cookies) will be sent with the request. Used internally for authentication workflows.
headers
headers: {}Additional Headers to pass into the request.
Type declaration
hideToken
hideToken: booleanPrevents the token from being passed in a URL Query param that is saved in browser history. Instead, the token will be passed in POST request body or through X-Esri-Authorization header. NOTE: This will force POST requests in browsers since auth header is not yet supported by preflight OPTIONS check with CORS.
httpMethod
httpMethod: HTTPMethodsThe HTTP method to send the request with.
maxUrlLength
maxUrlLength: numberIf the length of a GET request's URL exceeds maxUrlLength the request will use POST instead.
portal
portal: stringThe portal of the tokens to revoke. Defaults to https://www.arcgis.com/sharing/rest .
request
request: (url: string, requestOptions: InternalRequestOptions) => Promise<any>Override the default function for making the request. This is mainly useful for testing purposes (i.e. so you can pass in a spy).
Type declaration
function(url: string, requestOptions: InternalRequestOptions): Promise<any>Parameters
| Parameter | Type |
|---|---|
url | string |
request | InternalRequestOptions |
Returns
Promise<any>signal
signal: AbortSignalAn AbortSignal object instance; allows you to abort a request and via an AbortController.
suppressWarnings
suppressWarnings: booleanSuppress any ArcGIS REST JS related warnings for this request.